Skip to main content
GET
/
earn
/
positions
TypeScript
const response: Promise<FireblocksResponse<GetPositionsResponse>> = fireblocks.earnBeta.getEarnPositions(earnBetaApiGetEarnPositionsRequest);
{
  "data": [
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "status": "ACTIVE",
      "inFlight": false,
      "positionType": "LEND",
      "vaultAccountId": "12345",
      "opportunityId": "morpho-usdc-vault-1",
      "chainId": "1",
      "providerId": "MORPHO",
      "origin": "NATIVE",
      "principalAssetId": "USDC_ETH",
      "positionAssetId": "MORPHO_USDC_VAULT_ETH",
      "principalBalance": "10000.00",
      "positionBalance": "9950.5",
      "createdAt": "2025-01-15T10:00:00Z",
      "updatedAt": "2025-03-20T08:30:00Z",
      "lastSyncedAt": "2025-03-20T08:29:55Z",
      "availableActions": [
        "DEPOSIT",
        "WITHDRAW"
      ]
    }
  ],
  "total": 1,
  "next": "",
  "prev": ""
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

chainId
integer<int32>
providerId
enum<string>
Available options:
MORPHO,
AAVE
pageCursor
string

Cursor for the next or previous page of results.

pageSize
integer<int32>
default:100

Number of items per page.

Required range: 1 <= x <= 100
sortBy
string

Field to sort results by.

order
enum<string>
default:DESC

Sort order (ASC or DESC).

Available options:
ASC,
DESC
Example:

"ASC"

Response

OK

data
object[]
required

Page of user lending positions for this query.

Example:
[
  {
    "id": "660e8400-e29b-41d4-a716-446655440001",
    "status": "ACTIVE",
    "inFlight": false,
    "positionType": "LEND",
    "vaultAccountId": "12345",
    "opportunityId": "morpho-usdc-vault-1",
    "chainId": "1",
    "providerId": "MORPHO",
    "origin": "NATIVE",
    "principalAssetId": "USDC_ETH",
    "positionAssetId": "MORPHO_USDC_VAULT_ETH",
    "principalBalance": "10000.00",
    "positionBalance": "9950.5",
    "createdAt": "2025-01-15T10:00:00Z",
    "updatedAt": "2025-03-20T08:30:00Z",
    "lastSyncedAt": "2025-03-20T08:29:55Z",
    "availableActions": ["DEPOSIT", "WITHDRAW"]
  }
]
total
integer<int32>
required

Total number of items matching the query.

Example:

1

next
string

Opaque cursor for the next page; empty when there is no next page.

Example:

""

prev
string

Opaque cursor for the previous page; empty when there is no previous page.

Example:

""